void unreachablecodeelim();
void remvbranchchains();
void reversebranches();
void deadasgelim();
void regalloc(int *);
void codemotion(int *);
void readinrules();
void applypeeprules(int *);
void copyprop(int *);
